repo/gentoo:master commit in: dev-qt/qttools/

"Ionen Wolkens" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1787053237.b214e93b79f9d4a603e5040e38965ac3a473f52d.ionen@gentoo>
commit:     b214e93b79f9d4a603e5040e38965ac3a473f52d
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 18 11:15:56 2026 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Tue Aug 18 11:40:37 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b214e93b

dev-qt/qttools: add 6.11.2

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 dev-qt/qttools/Manifest              |   1 +
 dev-qt/qttools/qttools-6.11.2.ebuild | 115 +++++++++++++++++++++++++++++++++++
 2 files changed, 116 insertions(+)

diff --git a/dev-qt/qttools/Manifest b/dev-qt/qttools/Manifest
index 8e9187c5aec7..fdda753d0d10 100644
--- a/dev-qt/qttools/Manifest
+++ b/dev-qt/qttools/Manifest
@@ -1 +1,2 @@
 DIST qttools-everywhere-src-6.11.1.tar.xz 10225832 BLAKE2B 29acbe64c62dd2a0cf1f1833a532e338c564fa8b1c73a131476869cb9caf988a6d5de1abba837661bf916d29068383f1fe724282de9eacf40a93bac133553872 SHA512 826d21ed3e45feebe8c083b9fc9fc8e2a64aaec972d58388c94eabeaa3c2d8e4c86f1620a7caa6a1784f2f84641aec3df4b20006fe369eeaeb1968b838497b56
+DIST qttools-everywhere-src-6.11.2.tar.xz 10226452 BLAKE2B 52489f7754aa37884cae0149cf4b0c5f3882c182170d3c92f6bfd95f0cc9e30162eb9d1349fdb8f634f8ab29b863d10cf54d98521ba6e14209067bba2f33b23c SHA512 2c420cbafbcfa300168e1c46d0e8a71e15671b065e6a2190eebcb4f1456cc95175c0e8ce0831ab9e4cca7263ba18c0320f4a1c677c4aa2f796c19afe8a76f482

diff --git a/dev-qt/qttools/qttools-6.11.2.ebuild b/dev-qt/qttools/qttools-6.11.2.ebuild
new file mode 100644
index 000000000000..de64f0f3663a
--- /dev/null
+++ b/dev-qt/qttools/qttools-6.11.2.ebuild
@@ -0,0 +1,115 @@
+# Copyright 2021-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# match QDOC_SUPPORTED_CLANG_VERSIONS in src/qdoc/cmake/QDocConfiguration.cmake
+LLVM_COMPAT=( {17..21} )
+LLVM_OPTIONAL=1
+
+# behaves very badly when qttools is not already installed, also
+# other issues to handle (clang tests flaky depending on version,
+# and 3rdparty/ tries to FetchContent gtest)
+QT6_RESTRICT_TESTS=1
+
+inherit flag-o-matic llvm-r2 optfeature qt6-build xdg
+
+DESCRIPTION="Qt Tools Collection"
+
+if [[ ${QT6_BUILD_TYPE} == release ]]; then
+	KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~x86"
+fi
+
+IUSE="
+	+assistant designer distancefieldgenerator gles2-only kmap2qmap
+	+linguist opengl pixeltool +qdbus qdoc qml qmlls
+	qtattributionsscanner qtdiag qtplugininfo vulkan +widgets zstd
+"
+# note that some tools do not *require* widgets but will skip a sub-tool
+# if not enabled (e.g. linguist gives lrelease but not the GUI linguist6)
+REQUIRED_USE="
+	assistant? ( widgets )
+	designer? ( qml widgets )
+	distancefieldgenerator? ( qml widgets )
+	pixeltool? ( widgets )
+	qdoc? ( qml ${LLVM_REQUIRED_USE} )
+	qmlls? ( assistant qml )
+"
+
+RDEPEND="
+	~dev-qt/qtbase-${PV}:6[widgets?]
+	assistant? ( ~dev-qt/qtbase-${PV}:6[concurrent,network,sql,sqlite] )
+	designer? (
+		~dev-qt/qtbase-${PV}:6[network,xml,zstd=]
+		zstd? ( app-arch/zstd:= )
+	)
+	kmap2qmap? ( ~dev-qt/qtbase-${PV}:6[evdev] )
+	qdbus? (
+		~dev-qt/qtbase-${PV}:6[dbus,xml]
+	)
+	qdoc? (
+		$(llvm_gen_dep '
+			llvm-core/clang:${LLVM_SLOT}=
+			llvm-core/llvm:${LLVM_SLOT}=
+		')
+	)
+	qml? ( ~dev-qt/qtdeclarative-${PV}:6[widgets?] )
+	qmlls? ( ~dev-qt/qtdeclarative-${PV}:6[qmlls] )
+	qtdiag? ( ~dev-qt/qtbase-${PV}:6[network,gles2-only=,vulkan=] )
+	widgets? ( ~dev-qt/qtbase-${PV}:6[opengl=] )
+"
+DEPEND="
+	${RDEPEND}
+	qtdiag? (
+		vulkan? ( dev-util/vulkan-headers )
+	)
+"
+
+src_prepare() {
+	qt6-build_src_prepare
+
+	# qttools is picky about clang versions and ignores LLVM_SLOT
+	sed -e '/find_package/s/${\(LLVM_\)*VERSION_CLEAN}//' \
+		-i cmake/FindWrapLibClang.cmake || die
+}
+
+src_configure() {
+	# validator.h:25:8: error: type 'struct Validator' ... [-Werror=odr]
+	use linguist && filter-lto
+
+	use qdoc && llvm_chost_setup
+
+	local mycmakeargs=(
+		# prevent the clang test as it can abort due to bug #916098
+		$(cmake_use_find_package qdoc WrapLibClang)
+		$(cmake_use_find_package qml Qt6Qml)
+		$(cmake_use_find_package widgets Qt6Widgets)
+		$(qt_feature assistant)
+		$(qt_feature designer)
+		$(qt_feature distancefieldgenerator)
+		$(qt_feature kmap2qmap)
+		$(qt_feature linguist)
+		$(qt_feature pixeltool)
+		$(qt_feature qdbus)
+		$(qt_feature qdoc)
+		$(qt_feature qtattributionsscanner)
+		$(qt_feature qtdiag)
+		$(qt_feature qtplugininfo)
+		$(usev widgets -DQT_INSTALL_XDG_DESKTOP_ENTRIES=ON)
+
+		# USE=qmlls' help plugin may be temporary, upstream has plans to split
+		# QtHelp into another package so that qtdeclarative can depend on it
+		# without a circular dependency with qttools
+		$(cmake_use_find_package qmlls Qt6QmlLSPrivate)
+	)
+
+	qt6-build_src_configure
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+
+	use assistant &&
+		optfeature "Qt documentation viewable in assistant" \
+			'dev-qt/qt-docs:6[qch]' #602296
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.